Index: GraphicsMagick-1.2.5/coders/png.c
===================================================================
--- GraphicsMagick-1.2.5.orig/coders/png.c	2018-01-19 20:08:30.737576639 +0100
+++ GraphicsMagick-1.2.5/coders/png.c	2018-01-19 20:29:20.474317244 +0100
@@ -4717,35 +5073,36 @@ static Image *ReadMNGImage(const ImageIn
             }
           if (!memcmp(type,mng_BASI,4))
             {
-              skip_to_iend=True;
+              skip_to_iend=MagickTrue;
               if (!mng_info->basi_warning)
                 (void) ThrowException2(&image->exception,CoderError,
                                        "BASI is not implemented yet",
                                        image->filename);
               mng_info->basi_warning++;
 #ifdef MNG_BASI_SUPPORTED
-              basi_width=(unsigned long) ((p[0] << 24) | (p[1] << 16) |
-                                          (p[2] << 8) | p[3]);
-              basi_height=(unsigned long) ((p[4] << 24) | (p[5] << 16) |
-                                           (p[6] << 8) | p[7]);
+              basi_width=(unsigned long) mng_get_long(p);
+                                          ((magick_uint32_t) p[1] << 16) |
+                                          ((magick_uint32_t) p[2] << 8) |
+                                          (magick_uint32_t) p[3]);
+              basi_height=(unsigned long) mng_get_long(&p[4]);
               basi_color_type=p[8];
               basi_compression_method=p[9];
               basi_filter_type=p[10];
               basi_interlace_method=p[11];
               if (length > 11)
-                basi_red=(p[12] << 8) & p[13];
+                basi_red=((magick_uint32_t) p[12] << 8) & (magick_uint32_t) p[13];
               else
                 basi_red=0;
               if (length > 13)
-                basi_green=(p[14] << 8) & p[15];
+                basi_green=((magick_uint32_t) p[14] << 8) & (magick_uint32_t) p[15];
               else
                 basi_green=0;
               if (length > 15)
-                basi_blue=(p[16] << 8) & p[17];
+                basi_blue=((magick_uint32_t) p[16] << 8) & (magick_uint32_t) p[17];
               else
                 basi_blue=0;
               if (length > 17)
-                basi_alpha=(p[18] << 8) & p[19];
+                basi_alpha=((magick_uint32_t) p[18] << 8) & (magick_uint32_t) p[19];
               else
                 {
                   if (basi_sample_depth == 16)
@@ -4768,8 +5125,7 @@ static Image *ReadMNGImage(const ImageIn
               )
             {
               /* Not an IHDR or JHDR chunk */
-              if (length)
-                MagickFreeMemory(chunk);
+              MagickFreeMemory(chunk);
               continue;
             }
           /* Process IHDR */
@@ -4777,23 +5133,25 @@ static Image *ReadMNGImage(const ImageIn
             (void) LogMagickEvent(CoderEvent,GetMagickModule(),
                                   "  Processing %c%c%c%c chunk",
                                   type[0],type[1],type[2],type[3]);
-          mng_info->exists[object_id]=True;
-          mng_info->viewable[object_id]=True;
+          mng_info->exists[object_id]=MagickTrue;
+          mng_info->viewable[object_id]=MagickTrue;
           if (mng_info->invisible[object_id])
             {
               if (logging)
                 (void) LogMagickEvent(CoderEvent,GetMagickModule(),
                                       "  Skipping invisible object");
-              skip_to_iend=True;
+              skip_to_iend=MagickTrue;
               MagickFreeMemory(chunk);
               continue;
             }
 #ifdef MNG_INSERT_LAYERS
           if (length < 8)
           {
+            MagickFreeMemory(chunk);
             MngInfoFreeStruct(mng_info,&have_mng_structure);
             ThrowReaderException(CorruptImageError,ImproperImageHeader,image);
           }
+
           image_width=mng_get_long(p);
           image_height=mng_get_long(&p[4]);
 #endif
@@ -4829,12 +5187,12 @@ static Image *ReadMNGImage(const ImageIn
                   mng_info->image=image;
                   if (term_chunk_found)
                     {
-                      image->start_loop=True;
+                      image->start_loop=MagickTrue;
                       image->iterations=mng_iterations;
-                      term_chunk_found=False;
+                      term_chunk_found=MagickFalse;
                     }
                   else
-                    image->start_loop=False;
+                    image->start_loop=MagickFalse;
                   /*
                     Make a background rectangle.
                   */
@@ -4849,8 +5207,10 @@ static Image *ReadMNGImage(const ImageIn
                   (void) SetImage(image,TransparentOpacity);
                   if (logging)
                     (void) LogMagickEvent(CoderEvent,GetMagickModule(),
-                                          "  Inserted transparent background layer, W=%lud, H=%lud",
-                                          mng_info->mng_width,mng_info->mng_height);
+                                          "  Inserted transparent background"
+                                          " layer, W=%lud, H=%lud",
+                                          mng_info->mng_width,
+                                          mng_info->mng_height);
                 }
             }
           /*
@@ -4878,12 +5238,12 @@ static Image *ReadMNGImage(const ImageIn
               mng_info->image=image;
               if (term_chunk_found)
                 {
-                  image->start_loop=True;
+                  image->start_loop=MagickTrue;
                   image->iterations=mng_iterations;
-                  term_chunk_found=False;
+                  term_chunk_found=MagickFalse;
                 }
               else
-                image->start_loop=False;
+                image->start_loop=MagickFalse;
               image->delay=0;
               image->columns=subframe_width;
               image->rows=subframe_height;
@@ -4892,16 +5252,19 @@ static Image *ReadMNGImage(const ImageIn
               image->page.x=mng_info->clip.left;
               image->page.y=mng_info->clip.top;
               image->background_color=mng_background_color;
-              image->matte=False;
+              image->matte=MagickFalse;
               (void) SetImage(image,OpaqueOpacity);
               if (logging)
                 (void) LogMagickEvent(CoderEvent,GetMagickModule(),
-                                      "  Inserted background layer, L=%ld, R=%ld, T=%ld, B=%ld",
-                                      mng_info->clip.left,mng_info->clip.right,
-                                      mng_info->clip.top,mng_info->clip.bottom);
+                                      "  Inserted background layer,"
+                                      " L=%ld, R=%ld, T=%ld, B=%ld",
+                                      mng_info->clip.left,
+                                      mng_info->clip.right,
+                                      mng_info->clip.top,
+                                      mng_info->clip.bottom);
             }
 #endif /* MNG_INSERT_LAYERS */
-          first_mng_object=False;
+          first_mng_object=MagickFalse;
           if (GetPixels(image) != (PixelPacket *) NULL)
             {
               /*
@@ -4917,16 +5280,15 @@ static Image *ReadMNGImage(const ImageIn
               image=SyncNextImageInList(image);
             }
           mng_info->image=image;
-          if (!MagickMonitor(LoadImagesTag,TellBlob(image),GetBlobSize(image),
-                             exception))
+          if (!MagickMonitor(LoadImagesTag,TellBlob(image),GetBlobSize(image),exception))
             break;
           if (term_chunk_found)
             {
-              image->start_loop=True;
-              term_chunk_found=False;
+              image->start_loop=MagickTrue;
+              term_chunk_found=MagickFalse;
             }
           else
-            image->start_loop=False;
+            image->start_loop=MagickFalse;
           if (mng_info->framing_mode == 1 || mng_info->framing_mode == 3)
             {
               image->delay=frame_delay;
@@ -4940,11 +5302,13 @@ static Image *ReadMNGImage(const ImageIn
           image->page.y=mng_info->y_off[object_id];
           image->iterations=mng_iterations;
           /*
-            Seek back to the beginning of the IHDR or JHDR chunk's length field.
+            Seek back to the beginning of the IHDR or JHDR chunk's
+            length field.
           */
           if (logging)
             (void) LogMagickEvent(CoderEvent,GetMagickModule(),
-                                  "  Seeking back to beginning of %c%c%c%c chunk",
+                                  "  Seeking back to beginning of"
+                                  " %c%c%c%c chunk",
                                   type[0],type[1],
                                   type[2],type[3]);
           (void) SeekBlob(image,-((long) length+12),SEEK_CUR);
@@ -5009,7 +5373,8 @@ static Image *ReadMNGImage(const ImageIn
                   if (image->columns > 2)
                     magnified_width += mng_info->magn_mr-1;
                   if (image->columns > 3)
-                    magnified_width += (image->columns-3)*(mng_info->magn_mx-1);
+                    magnified_width += (image->columns-3)*
+                       (mng_info->magn_mx-1);
                 }
               if (mng_info->magn_methy == 1)
                 {
@@ -5043,7 +5408,6 @@ static Image *ReadMNGImage(const ImageIn
                     y;
 
                   register long
-                    i,
                     x;
 
                   register PixelPacket
@@ -5056,7 +5420,7 @@ static Image *ReadMNGImage(const ImageIn
                     *prev;
 
                   size_t
-                    length;
+                    row_length;
 
                   png_uint_16
                     magn_methx,
@@ -5095,6 +5459,8 @@ static Image *ReadMNGImage(const ImageIn
                       for (y=0; y < (long) image->rows; y++)
                         {
                           q=GetImagePixels(image,0,y,image->columns,1);
+                          if(q == (PixelPacket *) NULL)
+                            break;
                           for (x=(long) image->columns; x > 0; x--)
                             {
                               q->red=ScaleQuantumToShort(q->red);
@@ -5135,9 +5501,9 @@ static Image *ReadMNGImage(const ImageIn
                                           large_image->rows);
                   m=mng_info->magn_mt;
                   yy=0;
-                  length=MagickArraySize(image->columns,sizeof(PixelPacket));
-                  next=MagickAllocateMemory(PixelPacket *,length);
-                  prev=MagickAllocateMemory(PixelPacket *,length);
+                  row_length=MagickArraySize(image->columns,sizeof(PixelPacket));
+                  next=MagickAllocateMemory(PixelPacket *,row_length);
+                  prev=MagickAllocateMemory(PixelPacket *,row_length);
                   if ((prev == (PixelPacket *) NULL) ||
                       (next == (PixelPacket *) NULL))
                     {
@@ -5149,7 +5515,9 @@ static Image *ReadMNGImage(const ImageIn
                                            MemoryAllocationFailed,image)
                     }
                   n=GetImagePixels(image,0,0,image->columns,1);
-                  (void) memcpy(next,n,length);
+                  if(n == (PixelPacket *) NULL)
+                     return ((Image *) NULL);
+                  (void) memcpy(next,n,row_length);
                   for (y=0; y < (long) image->rows; y++)
                     {
                       if (y == 0)
@@ -5168,14 +5536,19 @@ static Image *ReadMNGImage(const ImageIn
                       if (y < (long) image->rows-1)
                         {
                           n=GetImagePixels(image,0,y+1,image->columns,1);
-                          (void) memcpy(next,n,length);
+                          if(n == (PixelPacket *) NULL)
+                             break;
+                          (void) memcpy(next,n,row_length);
                         }
                       for (i=0; i < m; i++, yy++)
                         {
                           assert(yy < (long) large_image->rows);
                           p=prev;
                           n=next;
-                          q=SetImagePixels(large_image,0,yy,large_image->columns,1);
+                          q=SetImagePixels(large_image,0,yy,
+                                           large_image->columns,1);
+                          if (q == (const PixelPacket *) NULL)
+                            break;
                           q+=(large_image->columns-image->columns);
                           for (x=(long) image->columns; x > 0; x--)
                             {
@@ -5198,15 +5571,20 @@ static Image *ReadMNGImage(const ImageIn
                                     {
                                       /* Interpolate */
                                       (*q).red=(QM) (((long) (2*i*((*n).red
-                                                                   -(*p).red)+m))/((long) (m*2))+(*p).red);
+                                               -(*p).red)+m))/
+                                               ((long) (m*2))+(*p).red);
                                       (*q).green=(QM) (((long) (2*i*((*n).green
-                                                                     -(*p).green)+m))/((long) (m*2))+(*p).green);
+                                                 -(*p).green)+m))/
+                                                 ((long) (m*2))+(*p).green);
                                       (*q).blue=(QM) (((long) (2*i*((*n).blue
-                                                                    -(*p).blue)+m))/((long) (m*2))+(*p).blue);
+                                                     -(*p).blue)+m))/
+                                                     ((long) (m*2))+(*p).blue);
                                       if (image->matte)
                                         (*q).opacity=(QM) (((long)
-                                                            (2*i*((*n).opacity-(*p).opacity)+m))
-                                                           /((long) (m*2))+(*p).opacity);
+                                                      (2*i*((*n).opacity-
+                                                      (*p).opacity)+m))
+                                                      /((long) (m*2))+
+                                                      (*p).opacity);
                                     }
                                   if (magn_methy == 4)
                                     {
@@ -5217,7 +5595,8 @@ static Image *ReadMNGImage(const ImageIn
                                         (*q).opacity=(*n).opacity+0;
                                     }
                                 }
-                              else /* if (magn_methy == 3 || magn_methy == 5) */
+                              else /* if (magn_methy == 3 ||
+                                          magn_methy == 5) */
                                 {
                                   /* Replicate nearest */
                                   if (i <= ((m+1) << 1))
@@ -5226,9 +5605,11 @@ static Image *ReadMNGImage(const ImageIn
                                     *q=(*n);
                                   if (magn_methy == 5)
                                     {
-                                      (*q).opacity=(QM) (((long) (2*i*((*n).opacity
-                                                                       -(*p).opacity)+m))/((long) (m*2))+
-                                                         (*p).opacity);
+                                      (*q).opacity=(QM) (
+                                             ((long) (2*i*((*n).opacity
+                                             -(*p).opacity)+m))/
+                                             ((long) (m*2))+
+                                             (*p).opacity);
                                     }
                                 }
                               n++;
@@ -5242,7 +5623,7 @@ static Image *ReadMNGImage(const ImageIn
                   MagickFreeMemory(prev);
                   MagickFreeMemory(next);
 
-                  length=image->columns;
+                  row_length=image->columns;
 
                   if (logging)
                     (void) LogMagickEvent(CoderEvent,GetMagickModule(),
@@ -5263,18 +5644,23 @@ static Image *ReadMNGImage(const ImageIn
                   for (y=0; y < (long) image->rows; y++)
                     {
                       q=GetImagePixels(image,0,y,image->columns,1);
-                      p=q+(image->columns-length);
+                      if(q == (PixelPacket * ) NULL)
+                        break;
+                      p=q+(image->columns-row_length);
                       n=p+1;
-                      for (x=(long) (image->columns-length);
+                      for (x=(long) (image->columns-row_length);
                            x < (long) image->columns; x++)
                         {
-                          if (x == (long) (image->columns-length))
+                          if (x == (long) (image->columns-row_length))
                             m=mng_info->magn_ml;
-                          else if (magn_methx > 1 && x == (long) image->columns-2)
+                          else if (magn_methx > 1 &&
+                                   x == (long) image->columns-2)
                             m=mng_info->magn_mr;
-                          else if (magn_methx <= 1 && x == (long) image->columns-1)
+                          else if (magn_methx <= 1 &&
+                                   x == (long) image->columns-1)
                             m=mng_info->magn_mr;
-                          else if (magn_methx > 1 && x == (long) image->columns-1)
+                          else if (magn_methx > 1 &&
+                                   x == (long) image->columns-1)
                             m=1;
                           else
                             m=mng_info->magn_mx;
@@ -5292,15 +5678,22 @@ static Image *ReadMNGImage(const ImageIn
                                   else
                                     {
                                       /* Interpolate */
-                                      (*q).red=(QM) ((2*i*((*n).red-(*p).red)+m)
-                                                     /((long) (m*2))+(*p).red);
-                                      (*q).green=(QM) ((2*i*((*n).green-(*p).green)
-                                                        +m)/((long) (m*2))+(*p).green);
-                                      (*q).blue=(QM) ((2*i*((*n).blue-(*p).blue)+m)
-                                                      /((long) (m*2))+(*p).blue);
+                                      (*q).red=(QM) ((2*i*((*n).red-
+                                                     (*p).red)+m)
+                                                     /((long) (m*2))+
+                                                     (*p).red);
+                                      (*q).green=(QM) ((2*i*((*n).green-
+                                                       (*p).green)
+                                                       +m)/((long) (m*2))+
+                                                       (*p).green);
+                                      (*q).blue=(QM) ((2*i*((*n).blue-
+                                                      (*p).blue)+m)
+                                                      /((long) (m*2))+
+                                                      (*p).blue);
                                       if (image->matte)
                                         (*q).opacity=(QM) ((2*i*((*n).opacity
-                                                                 -(*p).opacity)+m)/((long) (m*2))
+                                                           -(*p).opacity)+m)/
+                                                           ((long) (m*2))
                                                            +(*p).opacity);
                                     }
                                   if (magn_methx == 4)
@@ -5312,7 +5705,8 @@ static Image *ReadMNGImage(const ImageIn
                                         (*q).opacity=(*n).opacity+0;
                                     }
                                 }
-                              else /* if (magn_methx == 3 || magn_methx == 5) */
+                              else /* if (magn_methx == 3 ||
+                                      magn_methx == 5) */
                                 {
                                   /* Replicate nearest */
                                   if (i <= ((m+1) << 1))
@@ -5323,7 +5717,8 @@ static Image *ReadMNGImage(const ImageIn
                                     {
                                       /* Interpolate */
                                       (*q).opacity=(QM) ((2*i*((*n).opacity
-                                                               -(*p).opacity)+m) /((long) (m*2))
+                                                         -(*p).opacity)+m)/
+                                                         ((long) (m*2))
                                                          +(*p).opacity);
                                     }
                                 }
@@ -5344,6 +5739,8 @@ static Image *ReadMNGImage(const ImageIn
                       for (y=0; y < (long) image->rows; y++)
                         {
                           q=GetImagePixels(image,0,y,image->columns,1);
+                          if(q == (PixelPacket *) NULL)
+                            break;
                           for (x=(long) image->columns; x > 0; x--)
                             {
                               q->red=ScaleShortToQuantum(q->red);
@@ -5369,7 +5766,8 @@ static Image *ReadMNGImage(const ImageIn
           crop_box.left=mng_info->image_box.left+mng_info->x_off[object_id];
           crop_box.right=mng_info->image_box.right+mng_info->x_off[object_id];
           crop_box.top=mng_info->image_box.top+mng_info->y_off[object_id];
-          crop_box.bottom=mng_info->image_box.bottom+mng_info->y_off[object_id];
+          crop_box.bottom=mng_info->image_box.bottom+
+                          mng_info->y_off[object_id];
           crop_box=mng_minimum_box(crop_box,mng_info->clip);
           crop_box=mng_minimum_box(crop_box,mng_info->frame);
           crop_box=mng_minimum_box(crop_box,mng_info->object_clip[object_id]);
@@ -5440,81 +5838,6 @@ static Image *ReadMNGImage(const ImageIn
 #endif
         }
 
-#if (QuantumDepth == 16)  /* TO DO: treat Q:32 */
-      /* Determine if bit depth can be reduced from 16 to 8.
-       * Note that the method GetImageDepth doesn't check background
-       * and doesn't handle PseudoClass specially.  Also it uses
-       * multiplication and division by 257 instead of shifting, so
-       * might be slower.
-       */
-      if (mng_info->optimize && image->depth == 16)
-        {
-          int
-            ok_to_reduce;
-
-          const PixelPacket
-            *p;
-
-          ok_to_reduce=((((image->background_color.red >> 8) & 0xff)
-                         == (image->background_color.red & 0xff)) &&
-                        (((image->background_color.green >> 8) & 0xff)
-                         == (image->background_color.green & 0xff)) &&
-                        (((image->background_color.blue >> 8) & 0xff)
-                         == (image->background_color.blue & 0xff)));
-          if (ok_to_reduce && image->storage_class == PseudoClass)
-            {
-              int index;
-
-              for (index=0; index < (long) image->colors; index++)
-                {
-                  ok_to_reduce=((((image->colormap[index].red >> 8) & 0xff)
-                                 == (image->colormap[index].red & 0xff)) &&
-                                (((image->colormap[index].green >> 8) & 0xff)
-                                 == (image->colormap[index].green & 0xff)) &&
-                                (((image->colormap[index].blue >> 8) & 0xff)
-                                 == (image->colormap[index].blue & 0xff)));
-                  if (!ok_to_reduce)
-                    break;
-                }
-            }
-          if (ok_to_reduce && image->storage_class != PseudoClass)
-            {
-              long
-                y;
-
-              register long
-                x;
-
-              for (y=0; y < (long) image->rows; y++)
-                {
-                  p=AcquireImagePixels(image,0,y,image->columns,1,
-                                       &image->exception);
-                  if (p == (const PixelPacket *) NULL)
-                    break;
-                  for (x=(long) image->columns; x > 0; x--)
-                    {
-                      ok_to_reduce=((((p->red >> 8) & 0xff) == (p->red & 0xff)) &&
-                                    (((p->green >> 8) & 0xff) == (p->green & 0xff)) &&
-                                    (((p->blue >> 8) & 0xff) == (p->blue & 0xff)) &&
-                                    (((!image->matte ||
-                                       ((p->opacity >> 8) & 0xff) == (p->opacity & 0xff)))));
-                      if (!ok_to_reduce)
-                        break;
-                      p++;
-                    }
-                  if (x != 0)
-                    break;
-                }
-            }
-          if (ok_to_reduce)
-            {
-              image->depth=8;
-              if (logging)
-                (void) LogMagickEvent(CoderEvent,GetMagickModule(),
-                                      "  Reducing PNG bit depth to 8 without loss of info");
-            }
-        }
-#endif
       /*
         Transfer most significant exception to exception argument
         FIXME: should status be used to terminate processing?
@@ -5543,7 +5866,8 @@ static Image *ReadMNGImage(const ImageIn
       */
       if (logging)
         (void) LogMagickEvent(CoderEvent,GetMagickModule(),
-                              "  No images found.  Inserting a background layer.");
+                              "  No images found.  Inserting a"
+                              " background layer.");
       if (GetPixels(image) != (PixelPacket *) NULL)
         {
           /*
@@ -5568,7 +5892,7 @@ static Image *ReadMNGImage(const ImageIn
       image->page.x=0;
       image->page.y=0;
       image->background_color=mng_background_color;
-      image->matte=False;
+      image->matte=MagickFalse;
       if (!image_info->ping)
         (void) SetImage(image,OpaqueOpacity);
       mng_info->image_found++;
@@ -5576,16 +5900,19 @@ static Image *ReadMNGImage(const ImageIn
 #endif
   image->iterations=mng_iterations;
   if (mng_iterations == 1)
-    image->start_loop=True;
+    image->start_loop=MagickTrue;
   while (image->previous != (Image *) NULL)
     {
       image_count++;
       if (image_count > 10*mng_info->image_found)
         {
           if (logging)
-            (void) LogMagickEvent(CoderEvent,GetMagickModule(),"  No beginning");
+            (void) LogMagickEvent(CoderEvent,GetMagickModule(),
+                                  "  No beginning");
+          MngInfoFreeStruct(mng_info,&have_mng_structure);
           (void) ThrowException2(&image->exception,(ExceptionType) CoderError,
-                                 "Linked list is corrupted, beginning of list not found",
+                                 "Linked list is corrupted,"
+                                 " beginning of list not found",
                                  image_info->filename);
           return((Image *) NULL);
         }
@@ -5593,9 +5920,11 @@ static Image *ReadMNGImage(const ImageIn
       if (image->next == (Image *) NULL)
         {
           if (logging)
-            (void) LogMagickEvent(CoderEvent,GetMagickModule(),"  Corrupt list");
+            (void) LogMagickEvent(CoderEvent,GetMagickModule(),
+                                  "  Corrupt list");
           (void) ThrowException2(&image->exception,(ExceptionType) CoderError,
-                                 "Linked list is corrupted; next_image is NULL",
+                                 "Linked list is corrupted;"
+                                 " next_image is NULL",
                                  image_info->filename);
         }
     }
@@ -5606,7 +5935,8 @@ static Image *ReadMNGImage(const ImageIn
         (void) LogMagickEvent(CoderEvent,GetMagickModule(),
                               "  First image null");
       (void) ThrowException2(&image->exception,(ExceptionType) CoderError,
-                             "image->next for first image is NULL but shouldn't be.",
+                             "image->next for first image is NULL but"
+                             " shouldn't be.",
                              image_info->filename);
     }
   if (!mng_info->image_found)
@@ -5625,7 +5955,7 @@ static Image *ReadMNGImage(const ImageIn
   if (mng_info->ticks_per_second)
     final_delay=100*final_delay/mng_info->ticks_per_second;
   else
-    image->start_loop=True;
+    image->start_loop=MagickTrue;
   /* Find final nonzero image delay */
   final_image_delay=0;
   while (image->next != (Image *) NULL)
@@ -5674,7 +6004,8 @@ static Image *ReadMNGImage(const ImageIn
         scene;
 
       if (logging)
-        (void) LogMagickEvent(CoderEvent,GetMagickModule(),"  Coalesce Images");
+        (void) LogMagickEvent(CoderEvent,GetMagickModule(),
+                              "  Coalesce Images");
       scene=image->scene;
       next_image=CoalesceImages(image,&image->exception);
       if (next_image == (Image *) NULL)
@@ -5734,13 +6065,14 @@ static Image *ReadMNGImage(const ImageIn
   while (image->previous != (Image *) NULL)
     image=image->previous;
   MngInfoFreeStruct(mng_info,&have_mng_structure);
-  have_mng_structure=False;
+  have_mng_structure=MagickFalse;
   if (logging)
     (void) LogMagickEvent(CoderEvent,GetMagickModule(),"exit ReadMNGImage()");
   return(image);
 }
-#else /* PNG_LIBPNG_VER > 95 */
-static Image *ReadPNGImage(const ImageInfo *image_info,ExceptionInfo *exception)
+#else /* PNG_LIBPNG_VER > 10011 */
+static Image *ReadPNGImage(const ImageInfo *image_info,
+                           ExceptionInfo *exception)
 {
   printf("Your PNG library is too old: You have libpng-%s\n",
      PNG_LIBPNG_VER_STRING);
@@ -5748,11 +6080,12 @@ static Image *ReadPNGImage(const ImageIn
     image_info->filename);
   return (Image *) NULL;
 }
-static Image *ReadMNGImage(const ImageInfo *image_info,ExceptionInfo *exception)
+static Image *ReadMNGImage(const ImageInfo *image_info,
+                           ExceptionInfo *exception)
 {
   return (ReadPNGImage(image_info,exception));
 }
-#endif /* PNG_LIBPNG_VER > 95 */
+#endif /* PNG_LIBPNG_VER > 10011 */
 #endif
 
 /*
@@ -5971,8 +6304,8 @@ ModuleExport void UnregisterPNGImage(voi
 %  A description of each parameter follows.
 %
 %    o status: Method WriteMNGImage return True if the image is written.
-%      False is returned is there is a memory shortage or if the image file
-%      fails to write.
+%      MagickFalse is returned is there is a memory shortage or if the
+%      image file fails to write.
 %
 %    o image_info: Specifies a pointer to a ImageInfo structure.
 %
